This page is for installing the pre-compiled binary versions of the Overviewer. If you want to build the Overviewer from source yourself, head to Building. If you have already built The Overviewer, proceed to Running the Overviewer.

The latest prebuilt packages for various systems will always be found at the Overviewer Downloads page.


Running Windows and don’t want to compile the Overviewer? You’ve come to the right place!

  1. Head to the Downloads page and download the most recent Windows download for your architecture (32 or 64 bit).

  2. For 32 bit you may need to install the VC++ 2008 and VC++ 2010 redistributables.

    For 64 bit, you’ll want these instead: VC++ 2008 and VC++ 2010

  3. That’s it! Proceed with instructions on Running the Overviewer.

Debian / Ubuntu

We provide an APT repository with pre-built Overviewer packages for Debian and Ubuntu users. These packages should work on any system with a python2.6 package. To do this, add the following line to your /etc/apt/sources.list

deb ./

Our APT repository is signed. To install the key (and allow for automatic updates), run

wget -O - | sudo apt-key add -

Then run apt-get update and apt-get install minecraft-overviewer and you’re all set! See you at the Running the Overviewer page!

CentOS / RHEL / Fedora

We also provide a RPM repository with pre-built packages for users on RPM-based distros. Note that on CentOS 5, the EPEL repository is required to get Python 2.6 . To add the Overviewer repository to YUM, just run

wget -O /etc/yum.repos.d/overviewer.repo

Then to install Overviewer run

yum install Minecraft-Overviewer

After that head to the Running the Overviewer page!